Summary: Icecast - Streaming Media Server
Name: icecast
Version: 1.3.12
Release: 1
Group: Applications/Multimedia
License: GPL
URL: http://www.icecast.org
Source:	http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-%{version}-root


%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%setup -q

%build
%configure --enable-fsstd
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# copy the configuration files to be the right name so that it works without 
# _having_ # to change them (though they should), and leave the defaults so 
# they don't screw with them
cp $RPM_BUILD_ROOT/etc/icecast/icecast.conf.dist $RPM_BUILD_ROOT/etc/icecast/icecast.conf
cp $RPM_BUILD_ROOT/etc/icecast/groups.aut.dist $RPM_BUILD_ROOT/etc/icecast/groups.aut
cp $RPM_BUILD_ROOT/etc/icecast/mounts.aut.dist $RPM_BUILD_ROOT/etc/icecast/mounts.aut
cp $RPM_BUILD_ROOT/etc/icecast/users.aut.dist $RPM_BUILD_ROOT/etc/icecast/users.aut

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog TODO doc/manual.html
%{_prefix}/sbin/icecast
/var/log/icecast
/usr/share/icecast/
/etc/icecast/groups.aut.dist
/etc/icecast/mounts.aut.dist
/etc/icecast/users.aut.dist
/etc/icecast/icecast.conf.dist
%config(noreplace) /etc/icecast/groups.aut
%config(noreplace) /etc/icecast/mounts.aut
%config(noreplace) /etc/icecast/users.aut
%config(noreplace) /etc/icecast/icecast.conf

%clean 
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 1.3.12

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- add patch to fix string format vulnerability (reported to bugtraq by
- built for 7.0
  cyrax@pkcrew.org, by by him also )

* Mon Jan 22 2001 Tim Powers <timp@redhat.com>
- update to 1.3.8.beta2

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- updated to 1.3.7

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- use %configure instead of ./configure
- removed redundant defines
- removed vendor header (Red Hat policy)
- quiet setup

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta
